diff --git python-transaction/python-transaction.spec python-transaction/python-transaction.spec.tmp
index 3bbb9117b7..0e61379eeb 100644
--- python-transaction/python-transaction.spec
+++ python-transaction/python-transaction.spec.tmp
@@ -4,7 +4,7 @@
 
 Name:           python-transaction
 Version:        2.1.2
-Release:        2%{?dist}
+Release:        3%{?dist}
 Summary:        Transaction management for Python
 
 Group:          Development/Languages
@@ -20,8 +20,6 @@ BuildRequires:  python-nose
 BuildRequires:  python-setuptools
 BuildRequires:  python-mock
 
-Requires:       python-zope-interface
-
 %if 0%{?with_python3}
 BuildRequires:  python3-devel
 BuildRequires:  python3-setuptools
@@ -31,10 +29,19 @@ BuildRequires:  python3-mock
 %endif
 
 
-%description
-This package contains a generic transaction implementation for Python. It is
+%global _description\
+This package contains a generic transaction implementation for Python. It is\
 mainly used by the ZODB, though.
 
+%description %_description
+
+%package -n python2-transaction
+Summary: %summary
+Requires:       python-zope-interface
+%{?python_provide:%python_provide python2-transaction}
+
+%description -n python2-transaction %_description
+
 %if 0%{?with_python3}
 %package -n python3-transaction
 Summary:        Transaction management for Python 3
@@ -86,7 +93,7 @@ popd
 %endif
 
 
-%files
+%files -n python2-transaction
 %doc README.rst LICENSE.txt COPYRIGHT.txt
 %{python_sitelib}/transaction/
 %{python_sitelib}/*.egg-info
@@ -101,6 +108,10 @@ popd
 
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 2.1.2-3
+- Python 2 subpackage renamed to python2-transaction
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.1.2-2
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-trml2pdf12/python-trml2pdf12.spec python-trml2pdf12/python-trml2pdf12.spec.tmp
index 1593ccba3d..295fc08ac9 100644
--- python-trml2pdf12/python-trml2pdf12.spec
+++ python-trml2pdf12/python-trml2pdf12.spec.tmp
@@ -2,9 +2,7 @@
 
 Name:           python-trml2pdf12
 Version:        1.2
-Release:        19%{?dist}
-Provides:       python-trml2pdf = %{version}-%{release}
-Obsoletes:      python-trml2pdf <= 1.2-9
+Release:        20%{?dist}
 Summary:        Tiny RML2PDF is a tool to easily create PDF documents without programming
 
 Group:          Development/Languages
@@ -17,16 +15,26 @@ BuildArch:      noarch
 
 BuildRequires:  python2-devel
 BuildRequires:  python-setuptools
-Requires:       python-reportlab >= 2.1
 # Python-Imaging (PIL) if you use bitmap pictures
-Requires:       python-imaging
 
 
-%description
-Convert Report Markup Language (RML) files to PDF.
+%global _description\
+Convert Report Markup Language (RML) files to PDF.\
+\
+This is a compatibility package for programs which still need version 1.2.\
 
-This is a compatibility package for programs which still need version 1.2.
 
+%description %_description
+
+%package -n python2-trml2pdf12
+Summary: %summary
+Requires:       python-imaging
+Requires:       python-reportlab >= 2.1
+Obsoletes:      python-trml2pdf <= 1.2-9
+Provides:       python-trml2pdf = %{version}-%{release}
+%{?python_provide:%python_provide python2-trml2pdf12}
+
+%description -n python2-trml2pdf12 %_description
 
 %prep
 %setup -q -n %{srcname}-%{version}
@@ -50,7 +58,7 @@ install -m 755 -d %{buildroot}/%{_bindir}
 ln -s %{python_sitelib}/TRML2PDF-1.0-py2.7.egg/trml2pdf/trml2pdf.py %{buildroot}%{_bindir}/trml2pdf12
 
  
-%files
+%files -n python2-trml2pdf12
 %doc COPYRIGHT.txt INSTALL.txt LICENSE.txt README.txt
 %{python_sitelib}/*
 %{_bindir}/*
@@ -58,6 +66,10 @@ ln -s %{python_sitelib}/TRML2PDF-1.0-py2.7.egg/trml2pdf/trml2pdf.py %{buildroot}
 
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 1.2-20
+- Python 2 subpackage renamed to python2-trml2pdf12
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.2-19
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-ttystatus/python-ttystatus.spec python-ttystatus/python-ttystatus.spec.tmp
index 9dff384b1a..40a032cd0a 100644
--- python-ttystatus/python-ttystatus.spec
+++ python-ttystatus/python-ttystatus.spec.tmp
@@ -2,7 +2,7 @@
 
 Name:           python-%{pkgname}
 Version:        0.34
-Release:        3%{?dist}
+Release:        4%{?dist}
 Summary:        Progress and status updates on terminals for Python
 
 License:        GPLv3+
@@ -14,19 +14,27 @@ BuildRequires:  python-coverage-test-runner
 BuildRequires:  python-pep8
 BuildRequires:  python-sphinx
 
-%description
-ttystatus is a Python library for showing progress reporting and
-status updates on terminals, for (Unix) command line programs. Output
-is automatically adapted to the width of the terminal: truncated if it
-does not fit, and re-sized if the terminal size changes.
+%global _description\
+ttystatus is a Python library for showing progress reporting and\
+status updates on terminals, for (Unix) command line programs. Output\
+is automatically adapted to the width of the terminal: truncated if it\
+does not fit, and re-sized if the terminal size changes.\
+\
+Output is provided via widgets. Each widgets formats some data into a\
+suitable form for output. It gets the data either via its initializer,\
+or from key/value pairs maintained by the master object. The values\
+are set by the user. Every time a value is updated, widgets get\
+updated (although the terminal is only updated every so often to give\
+user time to actually read the output).\
 
-Output is provided via widgets. Each widgets formats some data into a
-suitable form for output. It gets the data either via its initializer,
-or from key/value pairs maintained by the master object. The values
-are set by the user. Every time a value is updated, widgets get
-updated (although the terminal is only updated every so often to give
-user time to actually read the output).
 
+%description %_description
+
+%package -n python2-%{pkgname}
+Summary: %summary
+%{?python_provide:%python_provide python2-%{pkgname}}
+
+%description -n python2-%{pkgname} %_description
 
 %package        doc
 Summary:        Documentation for %{pkgname}
@@ -58,7 +66,7 @@ rm -rf build
 make check
 
 
-%files
+%files -n python2-%{pkgname}
 %license COPYING
 %doc NEWS README
 %{python_sitelib}/*
@@ -68,6 +76,10 @@ make check
 
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.34-4
+- Python 2 subpackage renamed to python2-ttystatus
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.34-3
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-turbocheetah/python-turbocheetah.spec python-turbocheetah/python-turbocheetah.spec.tmp
index da55fd8ff3..819a36f1a6 100644
--- python-turbocheetah/python-turbocheetah.spec
+++ python-turbocheetah/python-turbocheetah.spec.tmp
@@ -5,7 +5,7 @@
 
 Name:           python-turbocheetah
 Version:        1.0
-Release:        18%{?dist}
+Release:        19%{?dist}
 Summary:        TurboGears plugin to support use of Cheetah templates
 
 Group:          Development/Languages
@@ -16,13 +16,21 @@ BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
 BuildArch:      noarch
 
 BuildRequires:  python-devel python-setuptools
-Requires:       python-cheetah >= 2.0.1
 
-%description
-This package provides a template engine plugin, allowing you
-to easily use Cheetah with TurboGears, Buffet and other tools that
-support the python.templating.engines entry point.
+%global _description\
+This package provides a template engine plugin, allowing you\
+to easily use Cheetah with TurboGears, Buffet and other tools that\
+support the python.templating.engines entry point.\
+
+
+%description %_description
 
+%package -n python2-turbocheetah
+Summary: %summary
+Requires:       python-cheetah >= 2.0.1
+%{?python_provide:%python_provide python2-turbocheetah}
+
+%description -n python2-turbocheetah %_description
 
 %prep
 %setup -q -n TurboCheetah-%{version}
@@ -42,7 +50,7 @@ rm -fr %{buildroot}/%{python_sitelib}/%{module}/tests
 rm -rf %{buildroot}
 
 
-%files
+%files -n python2-turbocheetah
 %defattr(-,root,root,-)
 %doc README.txt
 %{python_sitelib}/%{module}/
@@ -50,6 +58,10 @@ rm -rf %{buildroot}
 
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 1.0-19
+- Python 2 subpackage renamed to python2-turbocheetah
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.0-18
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-turbojson/python-turbojson.spec python-turbojson/python-turbojson.spec.tmp
index 96af91284c..4c71e471c7 100644
--- python-turbojson/python-turbojson.spec
+++ python-turbojson/python-turbojson.spec.tmp
@@ -6,7 +6,7 @@
 
 Name:           python-turbojson
 Version:        1.3.2
-Release:        12%{?dist}
+Release:        13%{?dist}
 Summary:        Python template plugin that supports json
 
 Group:          Development/Languages
@@ -25,15 +25,22 @@ BuildRequires: python-sqlalchemy
 BuildRequires: python-sqlobject
 
 BuildRequires: python-simplejson >= 1.9.1
-Requires:      python-simplejson >= 1.9.1
 
-Requires:      python-peak-rules >= 0.5a1.dev-0.2600
+%global _description\
+This package provides a template engine plugin, allowing you\
+to easily use Json with TurboGears, Buffet or other systems\
+that support python.templating.engines.\
 
-%description
-This package provides a template engine plugin, allowing you
-to easily use Json with TurboGears, Buffet or other systems
-that support python.templating.engines.
 
+%description %_description
+
+%package -n python2-turbojson
+Summary: %summary
+Requires:      python-peak-rules >= 0.5a1.dev-0.2600
+Requires:      python-simplejson >= 1.9.1
+%{?python_provide:%python_provide python2-turbojson}
+
+%description -n python2-turbojson %_description
 
 %prep
 %setup -q -n TurboJson-%{version}
@@ -54,13 +61,17 @@ python setup.py test
 rm -rf %{buildroot}
 
 
-%files
+%files -n python2-turbojson
 %defattr(-,root,root,-)
 %{python_sitelib}/%{module}/
 %{python_sitelib}/*.egg-info/
 
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 1.3.2-13
+- Python 2 subpackage renamed to python2-turbojson
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.2-12
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-turbokid/python-turbokid.spec python-turbokid/python-turbokid.spec.tmp
index 258405da79..1baad66210 100644
--- python-turbokid/python-turbokid.spec
+++ python-turbokid/python-turbokid.spec.tmp
@@ -5,7 +5,7 @@
 
 Name:           python-turbokid
 Version:        1.0.5
-Release:        13%{?dist}
+Release:        14%{?dist}
 Summary:        Python template plugin that supports Kid templates
 
 Group:          Development/Languages
@@ -22,13 +22,21 @@ BuildRequires: python-setuptools-devel
 BuildRequires: python-setuptools
 %endif
 BuildRequires: python-nose python-kid
-Requires:      python-kid >= 0.9.6
 
-%description
-This package provides a template engine plugin, allowing you
-to easily use Kid with TurboGears, Buffet or other systems
-that support python.templating.engines.
+%global _description\
+This package provides a template engine plugin, allowing you\
+to easily use Kid with TurboGears, Buffet or other systems\
+that support python.templating.engines.\
+
+
+%description %_description
 
+%package -n python2-turbokid
+Summary: %summary
+Requires:      python-kid >= 0.9.6
+%{?python_provide:%python_provide python2-turbokid}
+
+%description -n python2-turbokid %_description
 
 %prep
 %setup -q -n TurboKid-%{version}
@@ -49,7 +57,7 @@ PYTHONPATH=$(pwd) nosetests -q
 rm -rf %{buildroot}
 
 
-%files
+%files -n python2-turbokid
 %defattr(-,root,root,-)
 %doc README.txt
 %{python_sitelib}/%{module}/
@@ -57,6 +65,10 @@ rm -rf %{buildroot}
 
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 1.0.5-14
+- Python 2 subpackage renamed to python2-turbokid
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.5-13
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-TurboMail/python-TurboMail.spec python-TurboMail/python-TurboMail.spec.tmp
index 899084616c..aab500cca4 100644
--- python-TurboMail/python-TurboMail.spec
+++ python-TurboMail/python-TurboMail.spec.tmp
@@ -3,7 +3,7 @@
 
 Name:           python-TurboMail
 Version:        3.0.3
-Release:        12%{?dist}
+Release:        13%{?dist}
 Summary:        Multi-threaded mail queue manager for TurboGears applications
 
 Group:          Development/Libraries
@@ -15,15 +15,23 @@ BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
 BuildArch:      noarch
 
 BuildRequires:  python-setuptools
-Requires:       python-setuptools
 
 
-%description
-TurboMail is a multi-threaded mail delivery subsystem and MIME message
-generation framework for Python. TurboMail uses built-in Python modules for SMTP
-communication and MIME e-mail creation, but greatly simplifies these tasks by
+%global _description\
+TurboMail is a multi-threaded mail delivery subsystem and MIME message\
+generation framework for Python. TurboMail uses built-in Python modules for SMTP\
+communication and MIME e-mail creation, but greatly simplifies these tasks by\
 performing the grunt-work for you.
 
+%description %_description
+
+%package -n python2-turbomail
+Summary: %summary
+Requires:       python-setuptools
+%{?python_provide:%python_provide python2-turbomail}
+
+%description -n python2-turbomail %_description
+
 %prep
 %setup -q -n TurboMail-%{version}
 find . -type f -name '.*' | xargs rm -rf
@@ -42,7 +50,7 @@ rm -rf %{buildroot}
 %clean
 rm -rf %{buildroot}
 
-%files
+%files -n python2-turbomail
 %defattr(-,root,root,-)
 %doc README.txt LICENSE.txt
 %{python_sitelib}/TurboMail-%{version}-py%{pyver}.egg-info
@@ -50,6 +58,10 @@ rm -rf %{buildroot}
 
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 3.0.3-13
+- Python 2 subpackage renamed to python2-turbomail
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 3.0.3-12
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-tw2-d3/python-tw2-d3.spec python-tw2-d3/python-tw2-d3.spec.tmp
index d6afde741d..0f8b31aa36 100644
--- python-tw2-d3/python-tw2-d3.spec
+++ python-tw2-d3/python-tw2-d3.spec.tmp
@@ -4,7 +4,7 @@
 
 Name:           python-tw2-d3
 Version:        0.0.8
-Release:        11%{?dist}
+Release:        12%{?dist}
 Summary:        Data-Driven Documents for ToscaWidgets2
 
 Group:          Development/Languages
@@ -26,16 +26,24 @@ BuildRequires:  python-tw2-jquery
 BuildRequires:  python-paste-deploy
 
 # Runtime requirements
-Requires:       python-tw2-core
-Requires:       python-tw2-jquery
-Requires:       python-mako
-
-%description
-ToscaWidgets is a web widget toolkit for Python to aid in the creation,
-packaging and distribution of common view elements normally used in the web.
 
+%global _description\
+ToscaWidgets is a web widget toolkit for Python to aid in the creation,\
+packaging and distribution of common view elements normally used in the web.\
+\
 tw2.d3 is a wrapper for the d3 javascript library.
 
+%description %_description
+
+%package -n python2-tw2-d3
+Summary: %summary
+Requires:       python-mako
+Requires:       python-tw2-jquery
+Requires:       python-tw2-core
+%{?python_provide:%python_provide python2-tw2-d3}
+
+%description -n python2-tw2-d3 %_description
+
 %prep
 %setup -q -n %{modname}-%{version}
 
@@ -52,13 +60,17 @@ mv setup.py.tmp setup.py
 %{__python} setup.py install -O1 --skip-build \
     --install-data=%{_datadir} --root %{buildroot}
 
-%files
+%files -n python2-tw2-d3
 %doc README.rst LICENSE.txt
 %{python_sitelib}/tw2/d3
 %{python_sitelib}/%{modname}-%{version}*
 
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.0.8-12
+- Python 2 subpackage renamed to python2-tw2-d3
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.0.8-11
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-tw2-dynforms/python-tw2-dynforms.spec python-tw2-dynforms/python-tw2-dynforms.spec.tmp
index 4bf2e47e51..b3d91f001b 100644
--- python-tw2-dynforms/python-tw2-dynforms.spec
+++ python-tw2-dynforms/python-tw2-dynforms.spec.tmp
@@ -4,7 +4,7 @@
 
 Name:           python-tw2-dynforms
 Version:        2.0.1
-Release:        14%{?dist}
+Release:        15%{?dist}
 Summary:        Dynamic forms for ToscaWidgets2
 
 Group:          Development/Languages
@@ -29,16 +29,24 @@ BuildRequires:  python-sieve
 BuildRequires:  python-webtest
 
 # Runtime requirements
-Requires:       python-tw2-core
-Requires:       python-tw2-forms
-Requires:       python-genshi
-
-%description
-ToscaWidgets is a web widget toolkit for Python to aid in the creation,
-packaging and distribution of common view elements normally used in the web.
 
+%global _description\
+ToscaWidgets is a web widget toolkit for Python to aid in the creation,\
+packaging and distribution of common view elements normally used in the web.\
+\
 tw2.dynforms includes dynamic form building widgets that use JavaScript.
 
+%description %_description
+
+%package -n python2-tw2-dynforms
+Summary: %summary
+Requires:       python-genshi
+Requires:       python-tw2-forms
+Requires:       python-tw2-core
+%{?python_provide:%python_provide python2-tw2-dynforms}
+
+%description -n python2-tw2-dynforms %_description
+
 %prep
 %setup -q -n %{modname}-%{version}
 
@@ -64,13 +72,17 @@ rm setup.cfg
 %check
 PYTHONPATH=$(pwd) python setup.py test
 
-%files
+%files -n python2-tw2-dynforms
 %doc README.rst LICENSE
 %{python_sitelib}/tw2/dynforms
 %{python_sitelib}/%{modname}-%{version}-*-nspkg.pth
 %{python_sitelib}/%{modname}-%{version}-*.egg-info
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 2.0.1-15
+- Python 2 subpackage renamed to python2-tw2-dynforms
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.1-14
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-tw2-excanvas/python-tw2-excanvas.spec python-tw2-excanvas/python-tw2-excanvas.spec.tmp
index 34a2e4187e..74140fdf6a 100644
--- python-tw2-excanvas/python-tw2-excanvas.spec
+++ python-tw2-excanvas/python-tw2-excanvas.spec.tmp
@@ -4,7 +4,7 @@
 
 Name:           python-tw2-excanvas
 Version:        2.0.2
-Release:        12%{?dist}
+Release:        13%{?dist}
 Summary:        Excanvas for ToscaWidgets2
 
 Group:          Development/Languages
@@ -25,11 +25,19 @@ BuildRequires:  python-genshi
 BuildRequires:  python-mako
 
 # Runtime requirements
-Requires:       python-tw2-core
 
-%description
+%global _description\
 Simple excanvas resource wrapper for ToscaWidgets2.
 
+%description %_description
+
+%package -n python2-tw2-excanvas
+Summary: %summary
+Requires:       python-tw2-core
+%{?python_provide:%python_provide python2-tw2-excanvas}
+
+%description -n python2-tw2-excanvas %_description
+
 %prep
 %setup -q -n %{modname}-%{version}
 
@@ -43,13 +51,17 @@ Simple excanvas resource wrapper for ToscaWidgets2.
 %check
 PYTHONPATH=$(pwd) python setup.py test
 
-%files
+%files -n python2-tw2-excanvas
 %doc README.rst LICENSE
 %{python_sitelib}/tw2/excanvas
 %{python_sitelib}/%{modname}-%{version}*
 
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 2.0.2-13
+- Python 2 subpackage renamed to python2-tw2-excanvas
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.2-12
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-tw2-forms/python-tw2-forms.spec python-tw2-forms/python-tw2-forms.spec.tmp
index 6e9ec4c09a..0cc13c94fc 100644
--- python-tw2-forms/python-tw2-forms.spec
+++ python-tw2-forms/python-tw2-forms.spec.tmp
@@ -8,7 +8,7 @@
 
 Name:           python-tw2-forms
 Version:        2.2.3
-Release:        6%{?dist}
+Release:        7%{?dist}
 Summary:        Forms for ToscaWidgets2
 
 Group:          Development/Languages
@@ -66,15 +66,23 @@ BuildRequires:  python3-jinja2
 %endif
 
 # Runtime requirements
-Requires:       python-tw2-core >= 2.1.4
-Provides:       python2-tw2-forms
-
-%description
-ToscaWidgets is a web widget toolkit for Python to aid in the creation,
-packaging and distribution of common view elements normally used in the web.
 
+%global _description\
+ToscaWidgets is a web widget toolkit for Python to aid in the creation,\
+packaging and distribution of common view elements normally used in the web.\
+\
 tw2.forms contains the basic form widgets.
 
+%description %_description
+
+%package -n python2-tw2-forms
+Summary: %summary
+Provides:       python2-tw2-forms
+Requires:       python-tw2-core >= 2.1.4
+%{?python_provide:%python_provide python2-tw2-forms}
+
+%description -n python2-tw2-forms %_description
+
 %if 0%{?with_python3}
 %package -n python3-tw2-forms
 Summary: Forms for ToscaWidgets2
@@ -142,7 +150,7 @@ PYTHONPATH=$(pwd) %{__python2} setup.py test
 #%endif # with_python3
 
 
-%files
+%files -n python2-tw2-forms
 %{!?_licensedir:%global license %%doc}
 %license LICENSE.txt
 %doc README.rst
@@ -158,6 +166,10 @@ PYTHONPATH=$(pwd) %{__python2} setup.py test
 %endif
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 2.2.3-7
+- Python 2 subpackage renamed to python2-tw2-forms
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.2.3-6
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-tw2-jqplugins-flot/python-tw2-jqplugins-flot.spec python-tw2-jqplugins-flot/python-tw2-jqplugins-flot.spec.tmp
index fd3e4abe84..7a9a663583 100644
--- python-tw2-jqplugins-flot/python-tw2-jqplugins-flot.spec
+++ python-tw2-jqplugins-flot/python-tw2-jqplugins-flot.spec.tmp
@@ -4,7 +4,7 @@
 
 Name:           python-tw2-jqplugins-flot
 Version:        2.0.1
-Release:        13%{?dist}
+Release:        14%{?dist}
 Summary:        jQuery flot (plotting) for ToscaWidgets2
 
 Group:          Development/Languages
@@ -33,22 +33,30 @@ BuildRequires:  python-genshi
 
 
 # Runtime requirements
-Requires:       python-tw2-core
-Requires:       python-tw2-excanvas
-Requires:       python-tw2-jqplugins-ui
 
-%description
-toscawidgets2 (tw2) aims to be a practical and useful widgets framework
-that helps people build interactive websites with compelling features, faster
-and easier. Widgets are re-usable web components that can include a template,
-server-side code and JavaScripts/CSS resources. The library aims to be:
-flexible, reliable, documented, performant, and as simple as possible.
+%global _description\
+toscawidgets2 (tw2) aims to be a practical and useful widgets framework\
+that helps people build interactive websites with compelling features, faster\
+and easier. Widgets are re-usable web components that can include a template,\
+server-side code and JavaScripts/CSS resources. The library aims to be:\
+flexible, reliable, documented, performant, and as simple as possible.\
+\
+flot is a pure Javascript plotting library for jQuery. It produces graphical\
+plots of arbitrary data sets on-the-fly client-side.\
+\
+This module, tw2.jqplugins.flot, provides toscawidgets2 (tw2) access\
+to flot widgets.
 
-flot is a pure Javascript plotting library for jQuery. It produces graphical
-plots of arbitrary data sets on-the-fly client-side.
+%description %_description
 
-This module, tw2.jqplugins.flot, provides toscawidgets2 (tw2) access
-to flot widgets.
+%package -n python2-tw2-jqplugins-flot
+Summary: %summary
+Requires:       python-tw2-jqplugins-ui
+Requires:       python-tw2-excanvas
+Requires:       python-tw2-core
+%{?python_provide:%python_provide python2-tw2-jqplugins-flot}
+
+%description -n python2-tw2-jqplugins-flot %_description
 
 %prep
 %setup -q -n %{modname}-%{version}
@@ -78,13 +86,17 @@ rm -f build/lib/tw2/jqplugins/__init__.py*
 %check
 PYTHONPATH=$(pwd) python setup.py test
 
-%files
+%files -n python2-tw2-jqplugins-flot
 %doc README.rst LICENSE.txt
 
 %{python_sitelib}/tw2/jqplugins/flot
 %{python_sitelib}/%{modname}-%{version}-*
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 2.0.1-14
+- Python 2 subpackage renamed to python2-tw2-jqplugins-flot
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.1-13
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-tw2-jqplugins-gritter/python-tw2-jqplugins-gritter.spec python-tw2-jqplugins-gritter/python-tw2-jqplugins-gritter.spec.tmp
index 3e2bbf1390..87d403acc4 100644
--- python-tw2-jqplugins-gritter/python-tw2-jqplugins-gritter.spec
+++ python-tw2-jqplugins-gritter/python-tw2-jqplugins-gritter.spec.tmp
@@ -4,7 +4,7 @@
 
 Name:           python-tw2-jqplugins-gritter
 Version:        2.0.1
-Release:        12%{?dist}
+Release:        13%{?dist}
 Summary:        jQuery gritter (growl-like pop-ups) for ToscaWidgets2
 
 Group:          Development/Languages
@@ -22,14 +22,22 @@ BuildRequires:  python-tw2-jquery
 BuildRequires:  python-tw2-jqplugins-ui
 
 # Runtime requirements
-Requires:       python-tw2-core
-Requires:       python-tw2-jquery
-Requires:       python-tw2-jqplugins-ui
 
-%description
-This module provides growl like pop-ups with the gritter plugin for
+%global _description\
+This module provides growl like pop-ups with the gritter plugin for\
 python-tw2-jqplugins-ui.
 
+%description %_description
+
+%package -n python2-tw2-jqplugins-gritter
+Summary: %summary
+Requires:       python-tw2-jqplugins-ui
+Requires:       python-tw2-jquery
+Requires:       python-tw2-core
+%{?python_provide:%python_provide python2-tw2-jqplugins-gritter}
+
+%description -n python2-tw2-jqplugins-gritter %_description
+
 %prep
 %setup -q -n %{modname}-%{version}
 
@@ -55,13 +63,17 @@ rm -f build/lib/tw2/jqplugins/__init__.py*
 %{__python} setup.py install -O1 --skip-build \
     --install-data=%{_datadir} --root %{buildroot}
 
-%files
+%files -n python2-tw2-jqplugins-gritter
 %doc README.rst LICENSE
 
 %{python_sitelib}/tw2/jqplugins/gritter
 %{python_sitelib}/%{modname}-%{version}-*
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 2.0.1-13
+- Python 2 subpackage renamed to python2-tw2-jqplugins-gritter
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.1-12
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-tw2-jqplugins-jqplot/python-tw2-jqplugins-jqplot.spec python-tw2-jqplugins-jqplot/python-tw2-jqplugins-jqplot.spec.tmp
index 7406307607..6edebffb16 100644
--- python-tw2-jqplugins-jqplot/python-tw2-jqplugins-jqplot.spec
+++ python-tw2-jqplugins-jqplot/python-tw2-jqplugins-jqplot.spec.tmp
@@ -2,7 +2,7 @@
 
 Name:               python-tw2-jqplugins-jqplot
 Version:            2.0.3
-Release:            8%{?dist}
+Release:            9%{?dist}
 Summary:            Toscawidgets2 wrapper for the jqPlot jQuery plugin
 
 Group:              Development/Libraries
@@ -18,24 +18,31 @@ BuildRequires:      python-setuptools
 BuildRequires:      python-tw2-core
 BuildRequires:      python-tw2-jqplugins-ui
 
-Requires:           python-tw2-core
-Requires:           python-tw2-jqplugins-ui
-
-%description
-tw2.jqplugins.jqplot is a toscawidgets2 wrapper for jqPlot.
+%global _description\
+tw2.jqplugins.jqplot is a toscawidgets2 wrapper for jqPlot.\
+\
+Toscawidgets2 aims to be a practical and useful widgets framework\
+that helps people build interactive websites with compelling features,\
+faster and easier. Widgets are re-usable web components that can include a\
+template, server-side code and JavaScripts/CSS resources. The library aims\
+to be: flexible, reliable, documented, performant, and as simple as\
+possible.\
+\
+jqPlot is a plotting and charting plugin for the jQuery Javascript\
+framework. jqPlot produces beautiful line, bar and pie charts.\
+\
+This module, tw2.jqplugins.jqplot, provides toscawidgets2 (tw2) access\
+to jqPlot widgets.
 
-Toscawidgets2 aims to be a practical and useful widgets framework
-that helps people build interactive websites with compelling features,
-faster and easier. Widgets are re-usable web components that can include a
-template, server-side code and JavaScripts/CSS resources. The library aims
-to be: flexible, reliable, documented, performant, and as simple as
-possible.
+%description %_description
 
-jqPlot is a plotting and charting plugin for the jQuery Javascript
-framework. jqPlot produces beautiful line, bar and pie charts.
+%package -n python2-tw2-jqplugins-jqplot
+Summary: %summary
+Requires:           python-tw2-jqplugins-ui
+Requires:           python-tw2-core
+%{?python_provide:%python_provide python2-tw2-jqplugins-jqplot}
 
-This module, tw2.jqplugins.jqplot, provides toscawidgets2 (tw2) access
-to jqPlot widgets.
+%description -n python2-tw2-jqplugins-jqplot %_description
 
 %prep
 %setup -q -n %{modname}-%{version}
@@ -55,12 +62,16 @@ rm -f build/lib/tw2/jqplugins/jqplot/static/jquery/plugins/jqplot/0.9.7r635/exam
 %install
 %{__python} setup.py install -O1 --skip-build --root=%{buildroot}
 
-%files
+%files -n python2-tw2-jqplugins-jqplot
 %doc README.rst LICENSE.txt
 %{python_sitelib}/tw2/jqplugins/jqplot/
 %{python_sitelib}/%{modname}-%{version}*
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 2.0.3-9
+- Python 2 subpackage renamed to python2-tw2-jqplugins-jqplot
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.3-8
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
